html{
    background-color: #010101;
    
}

body {
    font-family: Arial, sans-serif;
    color: #fff;

    position: relative;
    overflow-x: hidden;
    margin-right: 5vw;
    margin-left: 5vw;
}

.background-image {
    position: fixed;
    top: 0; 
    left: 0;
    width: 100%;
    height: 100%;
    background: #000 url("img/backLow.webp") center center/cover no-repeat;
    z-index: -1;
    animation: backDim 3s ease forwards, fadeInUp 0.7s ease forwards;
    }

h1 {
    margin-top: 1em;
    font-size: 3.5em;
    margin-bottom: 0.25em;
    text-align: center;
    text-shadow: #333 2px 2px 4px;
    animation: fadeInUp 1s ease forwards;
    opacity: 0;
}

h1 span{
    font-size: 0.5em;
    display: inline;
}

h2{
    font-size: 1.8em;
    margin-top: 0;
    margin-bottom: 1.75em;
    text-align: center;
    text-shadow: #333 1px 1px 3px;
    animation: fadeInUp 1s ease forwards;
    opacity: 0;
    animation-delay: 0.3s;
}

.profile-image {
    display: block;
    margin: 12vh auto 1em;
    border-radius: 50%;
    width: 25em;
    height: 25em;
    object-fit: cover;
    animation: fadeIn 2.7s ease forwards;
    opacity: 0;
    animation-delay: 0.3s;
    border-radius: 50%;
    border: 3px solid #fff;
}

main p {
    font-size: 1.8em;
    text-align: center;
    margin-top: 0;
    margin-bottom: 1.5em;
    text-shadow: #333 1px 1px 3px;
    animation: fadeInUp 1s ease forwards;
    opacity: 0;
    animation-delay: 0.6s;
}

footer {
    text-align: center;
    color: #656565;
    text-shadow: #444 0px 0px 5px;
    position: relative;
    z-index: 1;
    margin-top: 10vh;
    animation: fadeIn 2s ease forwards;
    opacity: 0;
    animation-delay: 1.4s;
}

.contact {
    text-align: center;
}

a{
    font-size: 1.8em;
    text-align: center;
    color: #fff;
    margin-top: 0;
    text-decoration: underline;
    text-decoration-style: dotted;
    text-decoration-color: #ddd;
    text-shadow: #333 1px 1px 3px;
    margin-bottom: 1.5em;
    animation: fadeInUp 1s ease forwards;
    opacity: 0;
    animation-delay: 0.9s;
}

@media (max-width: 1024px) {
    .profile-image {
        margin-top: 5vh;
        width: 15em;
        height: 15em;
    }

    h1 {
        margin-top: 5vh;
        font-size: 2.5em;
    }

    h2 {
        font-size: 1.5em;
    }

    main p {
        font-size: 1.2em;
    }

    a{
        font-size: 1.2em;
    }
}

@media (max-height: 640px) and (min-width: 1024px) {
    main{
        display: flex;
    }

    main div{
        align-self: center;
    }

     .profile-image {
        margin-top: 5vh;
        width: 75vh;
        height: 75vh;
        margin-right: 5vw;
    }
}

@media (max-height: 640px) and (max-width: 1024px) {
    main{
        display: flex;
    }

    main div{
        align-self: center;
    }

     .profile-image {
        margin-top: 5vh;
        width: 40vw;
        height: 40vw;
        margin-right: 5vw;
    }
}





@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(-30px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes backDim {
  from {
    filter: brightness(2.4);
  }
  to {
    filter: brightness(0.6);
  }
}